Skip to main content
`Ctrl`+`K`

# VecViewFromOptions

View a vector based on values in the options database

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecViewFromOptions(Vec A, PeOp PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the vector

- obj - optional object that provides the options prefix for this viewing, use ‘NULL’ to use the prefix of `A`

- name - command line option

## Note

See `PetscObjectViewFromOptions()` to see the `PetscViewer` and PetscViewerFormat` available

## See Also

Vectors and Parallel Data, `Vec`, `VecView`, `PetscObjectViewFromOptions()`, `VecCreate()`

## Level

intermediate

## Location

src/vec/vec/interface/vector.c

## Examples

src/mat/tutorials/ex3.c
src/snes/tutorials/ex12.c
src/dm/dt/dualspace/impls/lagrange/tutorials/ex2.c
src/dm/impls/plex/tutorials/ex7.c
src/dm/impls/plex/tutorials/ex1.c
src/snes/tutorials/ex17.c
src/dm/impls/plex/tutorials/ex16.c
src/snes/tutorials/ex13.c
src/snes/tutorials/ex11.c
src/snes/tutorials/ex20.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages